cordova.define("com.ijmtech.plugin.clonesupport.AppCloneHelper", function(require, exports, module) {
var exec = require('cordova/exec');

exports.init = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'init', []);
};

exports.recordLoginMsg = function (strAccessToken, success, error) {
    exec(success, error, 'AppCloneHelper', 'recordLoginMsg', [strAccessToken]);
};

exports.getSoftwareMsg = function (bIncludeSystem, bIncludeNoneDesktop, success, error) {
    exec(success, error, 'AppCloneHelper', 'getSoftwareMsg', [bIncludeSystem, bIncludeNoneDesktop]);
};

exports.check = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'check', []);
};

exports.showServiceSetting = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'showServiceSetting', []);
};

exports.initClone = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'initClone', []);
};

exports.upgrade = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'upgrade', []);
};

exports.refresh = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'refresh', []);
};

exports.install = function (strPkgName, success, error) {
    exec(success, error, 'AppCloneHelper', 'install', [strPkgName]);
};

exports.remove = function (strPkgName, success, error) {
    exec(success, error, 'AppCloneHelper', 'remove', [strPkgName]);
};

exports.start = function (strPkgName, success, error) {
    exec(success, error, 'AppCloneHelper', 'start', [strPkgName]);
};

exports.enable = function (strPkgName, success, error) {
    exec(success, error, 'AppCloneHelper', 'enable', [strPkgName]);
};

exports.disable = function (strPkgName, success, error) {
    exec(success, error, 'AppCloneHelper', 'disable', [strPkgName]);
};

exports.getPkgNameNeedUpdate = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'getPkgNameNeedUpdate', []);
};

exports.checkState = function (strPkgName, success, error) {
    exec(success, error, 'AppCloneHelper', 'checkState', [strPkgName]);
};

exports.clean = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'clean', []);
};

exports.getUserIdentity = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'getUserIdentity', []);
}; 

exports.getSystemState = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'getSystemState', []);
}; 

exports.getSystemTips = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'getSystemTips', []);
}; 

exports.setLanguage = function (strLanguage, success, error) {
    exec(success, error, 'AppCloneHelper', 'setLanguage', [strLanguage]);
}; 

exports.getLanguage = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'getLanguage', []);
}; 

exports.getDeviceLoginMsg = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'getDeviceLoginMsg', []);
}; 

exports.deviceLogin = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'deviceLogin', []);
}; 

exports.killAccount = function (success, error) {
    exec(success, error, 'AppCloneHelper', 'killAccount', []);
}; 

});
