cordova.define("com.ijmtech.plugin.browser.WebBrowser", function(require, exports, module) {
var exec = require('cordova/exec');

exports.open = function (url, title, titleTextColor, titleBackgroundColor, success, error) {
    exec(success, error, 'WebBrowser', 'open', [url, title, titleTextColor, titleBackgroundColor]);
};

exports.openOutside = function (url, success, error) {
    exec(success, error, 'WebBrowser', 'openOutside', [url]);
};

exports.download = function (url, success, error) {
    exec(success, error, 'WebBrowser', 'download', [url]);
};

exports.install = function (apkPath, success, error) {
    exec(success, error, 'WebBrowser', 'install', [apkPath]);
};

exports.exitApp = function (success, error) {
    exec(success, error, 'WebBrowser', 'exitApp', []);
};

if (!window.plugins) {
    window.plugins = {};
}

if (!window.plugins.webBrowser) {
    var WebBrowser = function() {};
    WebBrowser.prototype.enterFunc = function(funcId, params, returnUrl) {
        var eventParams = {
            funcId: funcId,
            params: params,
            returnUrl: returnUrl
        };
        cordova.fireDocumentEvent("webBrowser.enterFunc", eventParams);
    };
    window.plugins.webBrowser = new WebBrowser();
}

});
